Bug 1480938 - scilab: xcos expects Batik library version 1.7; getting 1.9
scilab: xcos expects Batik library version 1.7; getting 1.9
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: scilab (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Clément DAVID
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-12 20:27 EDT by maarten
Modified: 2018-05-29 07:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:44:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description maarten 2017-08-12 20:27:36 EDT
Description of problem:

Scilab's xcos does not work and shows a java.lang.reflect.InvocationTargetException / java.lang.RuntimeException in the console.


Version-Release number of selected component (if applicable):
scilab-6.0.0-1.fc26.x86_64
batik-1.9-3.fc26.noarch

How reproducible:
always

Steps to Reproduce:
1. Start scilab
2. Run xcos in scilab console

Actual results:
xcos does not start.

Following exception in the console.
java.lang.reflect.InvocationTargetException
	at java.awt.EventQueue.invokeAndWait(EventQueue.java:1321)
	at java.awt.EventQueue.invokeAndWait(EventQueue.java:1296)
	at javax.swing.SwingUtilities.invokeAndWait(SwingUtilities.java:1348)
	at org.scilab.modules.xcos.Xcos.getInstance(Unknown Source)
	at org.scilab.modules.xcos.Xcos.getInstance(Unknown Source)
	at org.scilab.modules.xcos.Xcos.xcos(Unknown Source)
Caused by: java.lang.RuntimeException: Unable to load the Batik library. 
Expecting version 1.7 ; Getting version 1.9 .
	at org.scilab.modules.xcos.Xcos.checkDependencies(Unknown Source)
	at org.scilab.modules.xcos.Xcos.<init>(Unknown Source)
	at org.scilab.modules.xcos.Xcos.lambda$getInstance$2(Unknown Source)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:301)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:80)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)
Caused by: java.lang.Exception
	... 17 more
java.lang.NullPointerException

 at org.scilab.modules.xcos.Xcos.xcos(Unknown Source)


Expected results:

xcos starts
Comment 1 Matti Lehti 2018-01-28 01:22:08 EST
Here seems to be a patch:
https://aur.archlinux.org/cgit/aur.git/tree/scilab-batik-1.9.patch?h=scilab
Comment 2 Fedora End Of Life 2018-05-03 04:19:07 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2018-05-29 07:44:53 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.